﻿@{
    ViewBag.Title = "IconTemp";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section HeadCss{
    @if (false)
    {
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap.css" />
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap-theme.css" />
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap-custom.css" />
    }
}
@section Scripts{
    <script type="text/javascript" src='@Url.Content("~/Scripts/Plugins/hogan/template.js")'></script>
    <script type="text/javascript" src='@Url.Content("~/Scripts/Plugins/hogan/compiler.js")'></script>
    <script type="text/javascript" src='@Url.Content("~/Htmltemplates/Plugins/Sample/Hogan_Temp_Select.js")'></script>
    <script type="text/javascript">
        $(document).ready(function () {
            Initialize.call();
            InitData.call();
        });
    </script>
    <script type="text/javascript">
        var Initialize = function () {

        },
        InitData = function () {
            var data = { items: [
            { lblName: "AddRow", iconcode: "glyphicon glyphicon-plus" }
            , { lblName: "DelRow", iconcode: "glyphicon glyphicon-trash" }
            , { lblName: "Edit", iconcode: "glyphicon glyphicon-pencil" }
            , { lblName: "Search", iconcode: "glyphicon glyphicon-search" }
            , { lblName: "Save", iconcode: "glyphicon glyphicon-floppy-disk" }
            , { lblName: "Download", iconcode: "glyphicon glyphicon-save" }
            , { lblName: "Upload", iconcode: "glyphicon glyphicon-open" }
            , { lblName: "File", iconcode: "glyphicon glyphicon-file" }
            ]
            };
            var temp_select = tableTemp.join(''); // "{{#items}}<option value='{{Code}}'>{{Name}}</option>{{/items}}";
            var template = Hogan.compile(temp_select);
            var output = template.render(data);
            $("#tbl1 tbody").empty().html(output);
        }
    </script>
}

<div class="container-fluid">
    <div class="row">
<div class="panel panel-info gap-top">
    <div class="panel-heading">Icon List</div>
    <div class="panel-body">
        <table id="tbl1" class="table table-bordered">
        <thead>
            <tr class="success">
                <th>Label</th>
                <th>Sample</th>
                <th>ClassCode</th>
            </tr>
        </thead>
        <tbody>
                
        </tbody>
        </table>
    </div>
    @*<div class="panel-footer">Panel footer</div>*@
</div>
        
    </div>
</div>